Skip to main content
GET
/
api
/
inbox
/
conversation
List Conversations
curl --request GET \
  --url https://api.hilos.io/api/inbox/conversation \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.hilos.io/api/inbox/conversation"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.hilos.io/api/inbox/conversation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "count": 123,
  "next": "http://api.example.org/accounts/?page=4",
  "previous": "http://api.example.org/accounts/?page=2",
  "results": [
    {
      "id": "<string>",
      "contact": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "first_message": {
        "id": "<string>",
        "to_number": "<string>",
        "from_number": "<string>",
        "direction": "<string>",
        "timestamp": "2023-11-07T05:31:56Z",
        "contact": "<string>",
        "queued_on": "2023-11-07T05:31:56Z",
        "accepted_on": "2023-11-07T05:31:56Z",
        "sent_on": "2023-11-07T05:31:56Z",
        "delivered_on": "2023-11-07T05:31:56Z",
        "read_on": "2023-11-07T05:31:56Z",
        "failed_on": "2023-11-07T05:31:56Z",
        "provider_id": "<string>",
        "provider_error_code": "<string>",
        "provider_error_message": "<string>",
        "sent_by": {
          "id": 123,
          "first_name": "<string>",
          "last_name": "<string>",
          "email": "jsmith@example.com",
          "profile_image": "<string>"
        },
        "is_deleted": true,
        "content": {},
        "whatsapp_template": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "content_type": "<string>",
        "failed_attempts": 123,
        "body": "<string>",
        "content_url": "<string>"
      },
      "assigned": [
        {
          "id": 123,
          "first_name": "<string>",
          "last_name": "<string>",
          "email": "jsmith@example.com",
          "account": 123,
          "profile_image": "<string>",
          "date_joined": "2023-11-07T05:31:56Z"
        }
      ],
      "created_on": "2023-11-07T05:31:56Z",
      "tags": [
        {
          "id": 123,
          "name": "<string>"
        }
      ],
      "assigned_team": 123,
      "channel": 123
    }
  ]
}

Authorizations

Authorization
string
header
required

Token-based authentication with required prefix "Token"

Query Parameters

contact
string<uuid>

A Contact Id to filter the Conversations and only get those from that Contact.

page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

A search term.

Response

200 - application/json
count
integer
Example:

123

next
string<uri> | null
Example:

"http://api.example.org/accounts/?page=4"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?page=2"

results
object[]